import java.awt.Color;
import java.awt.Panel;
import java.awt.Graphics;

public class MultiBallWorldPanel extends Panel        //*****
{
    private static final int FrameWidth  = 600;
    private static final int FrameHeight = 400;
    private static final int BallArraySize = 6;

    private BoundedBall[] ballArray;
    private int           counter;

    public MultiBallWorldPanel( Color ballColor )     //*****
    {
        super();

        setSize ( FrameWidth, FrameHeight );
        //setTitle( "Ball World" );                   //*****

        ballArray = new BoundedBall[ BallArraySize ];
        for (int i = 0; i < BallArraySize; i++)
        {
            ballArray[i] = new BoundedBall( 10, 15, 5, 3.0+i, 6.0-i, this );
            ballArray[i].setColor( ballColor );
        }
        counter = 0;
    }

    public void paint( Graphics g )
    {
        for (int i = 0; i < BallArraySize; i++)
        {
            ballArray[i].paint( g );
            ballArray[i].move();
        }

	// try { Thread.sleep( 2000 ); }
        // catch (InterruptedException e) { System.exit( -1 ); }

        counter = counter + 1;
        if ( counter < 2000 )
            repaint();
        else
            System.exit( 0 );
    }
}
